PortalQueryResultSet<T> class final

Results of a query on a portal.

Properties

hashCode → int
The hash code for this object.
no setterinherited
nextQueryParameters → PortalQueryParameters?
The query parameters for the next set of results based on the next start index.
final
queryParameters → PortalQueryParameters
The query parameters that was used to make the search.
final
results → List<T>
The results of the query.
final
runtimeType → Type
A representation of the runtime type of the object.
no setterinherited
totalResults → int
The total number of results irrespective of the paging.
final

Methods

noSuchMethod(Invocation invocation) → dynamic
Invoked when a nonexistent method or property is accessed.
inherited
toString() → String
A string representation of this object.
inherited

Operators

operator ==(Object other) → bool
The equality operator.
inherited